| Home | Libraries | People | FAQ | More

## Function template equal

boost::algorithm::equal

## Synopsis

    // In header: <boost/algorithm/cxx14/equal.hpp>

    template<typename InputIterator1, typename InputIterator2>
      BOOST_CXX14_CONSTEXPR bool
      equal(InputIterator1 first1, InputIterator1 last1, InputIterator2 first2,
            InputIterator2 last2);

## Description

Parameters: |
`first1` | The start of the first range.
`last1` | One past the end of the first range.
`first2` | The start of the second range.
`last2` | One past the end of the second range.
Returns: | true if all elements in the two ranges are equal